-- -----------------------------------------------------------------------------
-- -----------------------------------------------------------------------------
--  Hammer of Justas
--
-- Copyright (C) 2010-2020
-- By Jonathan E. Wright
--
-- FILE: HoJ_SpellInfos.lua
-- DESC: Spell tables for classes

local addonName, HoJ = ...

-- -------------------------------------------------------------
-- PALADIN
-- -------------------------------------------------------------
HoJ._paladinSpellInfos = {
    ["divinePurpose"] = {
        id = 223817,
        name = HoJ:GetSpellName( 223817 ),
        rank = HoJ:GetSpellRank( 223817 ),
        icon = HoJ:GetSpellIcon( 223817 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = true,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 50,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 7,
        talentCol = 1,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["divinePurposeBuff"] = {
        id = 223819,
        name = HoJ:GetSpellName( 223819 ),
        rank = HoJ:GetSpellRank( 223819 ),
        icon = HoJ:GetSpellIcon( 223819 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = true,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 50,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["inquisition"] = {
        id = 84963,
        name = HoJ:GetSpellName( 84963 ),
        rank = HoJ:GetSpellRank( 84963 ),
        icon = HoJ:GetSpellIcon( 84963 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT_BUFF,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        _showStacks = true,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1500,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 7,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["avengingWrath"] = {
        id = 31884,
        name = HoJ:GetSpellName( 31884 ),
        rank = HoJ:GetSpellRank( 31884 ),
        icon = HoJ:GetSpellIcon( 31884 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _priority = 2000,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _duration = 20,
    },
    ["crusade"] = {
        id = 231895,
        name = HoJ:GetSpellName( 231895 ),
        rank = HoJ:GetSpellRank( 231895 ),
        icon = HoJ:GetSpellIcon( 231895 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _priority = 2000,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _duration = 20,
        talentRow = 7,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["seraphim"] = {
        id = 152262,
        name = HoJ:GetSpellName( 152262 ),
        rank = HoJ:GetSpellRank( 152262 ),
        icon = HoJ:GetSpellIcon( 152262 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT_BUFF,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        _showStacks = true,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1750,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 7,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_PROTECTION }
    },
    ["divineProtection"] = {
        id = 498,
        name = HoJ:GetSpellName( 498 ),
        rank = HoJ:GetSpellRank( 498 ),
        icon = HoJ:GetSpellIcon( 498 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 26,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["ardentDefender"] = {
        id = 31850,
        name = HoJ:GetSpellName( 31850 ),
        rank = HoJ:GetSpellRank( 31850 ),
        icon = HoJ:GetSpellIcon( 31850 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 70,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["shieldOfTheRighteous"] = {
        id = 53600,
        name = HoJ:GetSpellName( 53600 ),
        rank = HoJ:GetSpellRank( 53600 ),
        icon = HoJ:GetSpellIcon( 53600 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _priority = 5000,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
    },
    ["shieldOfTheRighteousBuff"] = {
        id = 132403,
        name = HoJ:GetSpellName( 132403 ),
        rank = HoJ:GetSpellRank( 132403 ),
        icon = HoJ:GetSpellIcon( 132403 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["consecration"] = {
        id = 26573,
        name = HoJ:GetSpellName( 26573 ),
        rank = HoJ:GetSpellRank( 26573 ),
        icon = HoJ:GetSpellIcon( 26573 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 14,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 1,
        range = HoJ.RANGE_10_YARDS,
        _duration = 12,
        role = HoJ.ROLE_TANK
    },
    -- the buff is apparently different than the spell?
    ["protConsecrationBuff"] = {
        id = 188370,
        name = HoJ:GetSpellName( 188370 ),
        rank = HoJ:GetSpellRank( 188370 ),
        icon = HoJ:GetSpellIcon( 188370 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 14,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 1,
        range = HoJ.RANGE_10_YARDS,
        _duration = 12,
        role = HoJ.ROLE_TANK
    },
    ["retConsecration"] = {
        id = 205228,
        name = HoJ:GetSpellName( 205228 ),
        rank = HoJ:GetSpellRank( 205228 ),
        icon = HoJ:GetSpellIcon( 205228 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT, -- only a talent for ret
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 60,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 1,
        range = HoJ.RANGE_10_YARDS,
        talentRow = 4,
        talentCol = 2,
        _duration = 6,
        role = HoJ.ROLE_DPS
    },
    ["avengersValor"] = {
        id = 197561,
        name = HoJ:GetSpellName( 197561 ),
        rank = HoJ:GetSpellRank( 197561 ),
        icon = HoJ:GetSpellIcon( 197561 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = true,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 60,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SEKF,
        _duration = 15,
        role = HoJ.ROLE_TANK
    },
    ["guardianOfAncientKings"] = {
        id = 86659,
        name = HoJ:GetSpellName( 86659 ),
        rank = HoJ:GetSpellRank( 86659 ),
        icon = HoJ:GetSpellIcon( 86659 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 70,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["divineShield"] = {
        id = 642,
        name = HoJ:GetSpellName( 642 ),
        rank = HoJ:GetSpellRank( 642 ),
        icon = HoJ:GetSpellIcon( 642 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 18,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["righteousFury"] = {
        id = 25780,
        name = HoJ:GetSpellName( 25780 ),
        rank = HoJ:GetSpellRank( 25780 ),
        icon = HoJ:GetSpellIcon( 25780 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 25780 ),
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 12,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["blessingOfKings"] = { -- actually called "greater blessing of kings"
        id = 203538,
        name = HoJ:GetSpellName( 203538 ),
        rank = HoJ:GetSpellRank( 203538 ),
        icon = HoJ:GetSpellIcon( 203538 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 3600,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 58,
        cooldownRemaining = 0,
        _priority = 1,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS
    },
    ["blessingOfWisdom"] = { -- actually called "greater blessing of wisdom"
        id = 203539,
        name = HoJ:GetSpellName( 203539 ),
        rank = HoJ:GetSpellRank( 203539 ),
        icon = HoJ:GetSpellIcon( 203539 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 3600,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 65,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS
    },
    ["blessingOfProtection"] = {
        id = 1022,
        name = HoJ:GetSpellName( 1022 ),
        rank = HoJ:GetSpellRank( 1022 ),
        icon = HoJ:GetSpellIcon( 1022 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS
    },
    ["blessingOfFreedom"] = {
        id = 1044,
        name = HoJ:GetSpellName( 1044 ),
        rank = HoJ:GetSpellRank( 1044 ),
        icon = HoJ:GetSpellIcon( 1044 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _priority = 1,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS
    },
    ["hammerOfWrath"] = {
        id = 24275,
        name = HoJ:GetSpellName( 24275 ),
        rank = HoJ:GetSpellRank( 24275 ),
        icon = HoJ:GetSpellIcon( 24275 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 24275 ),
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 38,
        cooldownRemaining = 0,
        _priority = 800,
        _powerGen = 1,
        range = HoJ.RANGE_30_YARDS,
        talentRow = 2,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["rebuke"] = {
        id = 96231,
        name = HoJ:GetSpellName( 96231 ),
        rank = HoJ:GetSpellRank( 96231 ),
        icon = HoJ:GetSpellIcon( 96231 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 96231 ),
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 1,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE
    },
    ["crusaderStrike"] = {
        id = 35395,
        name = HoJ:GetSpellName( 35395 ),
        rank = HoJ:GetSpellRank( 35395 ),
        icon = HoJ:GetSpellIcon( 35395 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _priority = 600,
        _powerGen = 1,
        range = HoJ.RANGE_MELEE
    },
    ["judgment"] = {
        id = 20271,
        name = HoJ:GetSpellName( 20271 ),
        rank = HoJ:GetSpellRank( 20271 ),
        icon = HoJ:GetSpellIcon( 20271 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 5,
        cooldownRemaining = 0,
        _priority = 400,
        _powerGen = 1,
        range = HoJ.RANGE_30_YARDS
    },
    ["judgmentDebuff"] = {
        id = 197277,
        name = HoJ:GetSpellName( 197277 ),
        rank = HoJ:GetSpellRank( 197277 ),
        icon = HoJ:GetSpellIcon( 197277 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 5,
        cooldownRemaining = 0,
        _priority = 400,
        _powerGen = 1,
        range = HoJ.RANGE_30_YARDS
    },
    ["templarsVerdict"] = {
        id = 85256,
        name = HoJ:GetSpellName( 85256 ),
        rank = HoJ:GetSpellRank( 85256 ),
        icon = HoJ:GetSpellIcon( 85256 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 85256 ),
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _priority = 1400,
        _powerGen = -3,
        range = HoJ.RANGE_MELEE
    },
    ["finalVerdict"] = {
        id = 157048,
        name = HoJ:GetSpellName( 157048 ),
        rank = HoJ:GetSpellRank( 157048 ),
        icon = HoJ:GetSpellIcon( 157048 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 157048 ),
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1400,
        _powerGen = -3,
        range = HoJ.RANGE_MELEE
    },
    ["finalVerdictBuff"] = {	-- this skill is also the buff...
        id = 157048,
        name = HoJ:GetSpellName( 157048 ),
        rank = HoJ:GetSpellRank( 157048 ),
        icon = HoJ:GetSpellIcon( 157048 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 157048 ),
        spellType = HoJ.SPELL_BUFF,
        isProcd = true,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 100,
        _powerGen = 0,
        range = HoJ.RANGE_NONE
    },
    ["divineStorm"] = {
        id = 53385,
        name = HoJ:GetSpellName( 53385 ),
        rank = HoJ:GetSpellRank( 53385 ),
        icon = HoJ:GetSpellIcon( 53385 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 53385 ),
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1300,
        _powerGen = -3,
        range = HoJ.RANGE_12_YARDS
    },
    ["executionSentence"] = {
        id = 267798,
        name = HoJ:GetSpellName( 267798 ),
        rank = HoJ:GetSpellRank( 267798 ),
        icon = HoJ:GetSpellIcon( 267798 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1500,
        _powerGen = -3,
        range = HoJ.RANGE_20_YARDS,
        talentRow = 1,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["lightsHammer"] = {
        id = 114158,
        name = HoJ:GetSpellName( 114158 ),
        rank = HoJ:GetSpellRank( 114158 ),
        icon = HoJ:GetSpellIcon( 114158 ),
        spellIndex = -1,  -- HoJ:GetSpellIndex( 114158 ),
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 1500,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS
    },
    ["globalCooldown"] = {
        id = 61304,
        name = HoJ:GetSpellName( 61304 ),
        rank = HoJ:GetSpellRank( 61304 ),
        icon = HoJ:GetSpellIcon( 61304 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_NONE
    },
    ["selflessHealer"] = {
        id = 85804,
        name = HoJ:GetSpellName( 85804 ),
        rank = HoJ:GetSpellRank( 85804 ),
        icon = HoJ:GetSpellIcon( 85804 ),
        spellToCast = 19750, -- cast as flash of light
        spellIndex = -1,  -- HoJ:GetSpellIndex( 85804 ),
        spellType = HoJ.SPELL_TALENT_BUFF,
        isProcd = true,
        showOnBar = true, 	-- set to false so we don't show on the buffs bar by default, because we show on cooldowns due to the special circumstances
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 0,
        cooldownRemaining = 0,
        _priority = 500,
        _powerGen = 0,
        range = HoJ.RANGE_NONE,
        talentRow = 6,
        talentCol = 1,
        maxBuffCount = 4,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["selflessHealerBuff"] = {
        id = 114250,
        name = HoJ:GetSpellName( 114250 ),
        rank = HoJ:GetSpellRank( 114250 ),
        icon = HoJ:GetSpellIcon( 114250 ),
        spellToCast = 19750, -- cast as flash of light
        spellIndex = -1,  -- HoJ:GetSpellIndex( 85804 ),
        spellType = HoJ.SPELL_BUFF,
        isProcd = true,
        showOnBar = true, 	-- set to false so we don't show on the buffs bar by default, because we show on cooldowns due to the special circumstances
        showCheckbox = true,
        showCharges = false,
        _showStacks = true,
        text = nil,
        minLevel = 0,
        cooldownRemaining = 0,
        _priority = 1000,
        _powerGen = 0,
        range = HoJ.RANGE_NONE,
        talentRow = 6,
        talentCol = 1,
        maxBuffCount = 4,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["layOnHands"] = {
        id = 633,
        name = HoJ:GetSpellName( 633 ),
        rank = HoJ:GetSpellRank( 633 ),
        icon = HoJ:GetSpellIcon( 633 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 16,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS
    },
    ["lightOfTheProtector"] = {
        id = 184092,
        name = HoJ:GetSpellName( 184092 ),
        rank = HoJ:GetSpellRank( 184092 ),
        icon = HoJ:GetSpellIcon( 184092 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 75,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS
    },
    ["handOfTheProtector"] = {
        id = 213652,
        name = HoJ:GetSpellName( 213652 ),
        rank = HoJ:GetSpellRank( 213652 ),
        icon = HoJ:GetSpellIcon( 213652 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 75,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        talentRow = 5,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_PROTECTION }
    },
    ["hammerOfJustice"] = {
        id = 853,
        name = HoJ:GetSpellName( 853 ),
        rank = HoJ:GetSpellRank( 853 ),
        icon = HoJ:GetSpellIcon( 853 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 7,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS
    },
    ["fistOfJustice"] = {
        id = 234299,
        name = HoJ:GetSpellName( 234299 ),
        rank = HoJ:GetSpellRank( 234299 ),
        icon = HoJ:GetSpellIcon( 234299 ),
        iconId = 853,
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS,
        talentRow = 3,
        talentCol = 1,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION, HoJ.SPEC_PALADIN_PROTECTION, HoJ.SPEC_PALADIN_HOLY }
    },
    ["blindingLight"] = {
        id = 115750,
        name = HoJ:GetSpellName( 115750 ),
        rank = HoJ:GetSpellRank( 115750 ),
        icon = HoJ:GetSpellIcon( 115750 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _priority = 50,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION, HoJ.SPEC_PALADIN_PROTECTION, HoJ.SPEC_PALADIN_HOLY }
    },
    ["flashOfLight"] = {
        id = 19750,
        name = HoJ:GetSpellName( 19750 ),
        rank = HoJ:GetSpellRank( 19750 ),
        icon = HoJ:GetSpellIcon( 19750 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 5,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS
    },
    ["giftOfTheNaaru"] = {
        id = 59542,
        name = HoJ:GetSpellName( 59542 ),
        rank = HoJ:GetSpellRank( 59542 ),
        icon = HoJ:GetSpellIcon( 59542 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        requiredRaceId = 11
    },
    ["wakeOfAshes"] = {
        id = 255937,
        name = HoJ:GetSpellName( 255937 ),
        rank = HoJ:GetSpellRank( 255937 ),
        icon = HoJ:GetSpellIcon( 255937 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 5,
        range = HoJ.RANGE_12_YARDS,
        talentRow = 4,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["bladeOfJustice"] = {
        id = 184575,
        name = HoJ:GetSpellName( 184575 ),
        rank = HoJ:GetSpellRank( 184575 ),
        icon = HoJ:GetSpellIcon( 184575 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 2,
        range = HoJ.RANGE_12_YARDS
    },
    ["empyreanPower"] = {
        id = 286390,
        name = HoJ:GetSpellName( 286390 ),
        rank = HoJ:GetSpellRank( 286390 ),
        iconId = 53385, -- shows the divine storm icon in the skill window instead of empyrean power
        icon = HoJ:GetSpellIcon( 53385 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 120,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_12_YARDS
    },
    ["empyreanPowerBuff"] = {
        id = 286393,
        name = HoJ:GetSpellName( 286393 ),
        rank = HoJ:GetSpellRank( 286393 ),
        iconId = 53385, -- shows the divine storm icon in the skill window instead of empyrean power
        icon = HoJ:GetSpellIcon( 286393 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 120,
        cooldownRemaining = 0,
        _priority = 800,
        _powerGen = 0,
        range = HoJ.RANGE_12_YARDS
    },
    ["wordOfGlory"] = {
        id = 210191,
        name = HoJ:GetSpellName( 210191 ),
        rank = HoJ:GetSpellRank( 210191 ),
        icon = HoJ:GetSpellIcon( 210191 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = -3,
        range = HoJ.RANGE_40_YARDS,
        talentRow = 6,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["justicarsVengeance"] = {
        id = 215661,
        name = HoJ:GetSpellName( 215661 ),
        rank = HoJ:GetSpellRank( 215661 ),
        icon = HoJ:GetSpellIcon( 215661 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = -5,
        range = HoJ.RANGE_40_YARDS,
        talentRow = 6,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_PALADIN_RETRIBUTION }
    },
    ["shieldOfVengeance"] = {
        id = 184662,
        name = HoJ:GetSpellName( 184662 ),
        rank = HoJ:GetSpellRank( 184662 ),
        icon = HoJ:GetSpellIcon( 184662 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS
    },
    ["avengersShield"] = {
        id = 31935,
        name = HoJ:GetSpellName( 31935 ),
        rank = HoJ:GetSpellRank( 31935 ),
        icon = HoJ:GetSpellIcon( 31935 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["hammerOfTheRighteous"] = {
        id = 53595,
        name = HoJ:GetSpellName( 53595 ),
        rank = HoJ:GetSpellRank( 53595 ),
        icon = HoJ:GetSpellIcon( 53595 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS -- technically 8 yards, but we don't have a way to measure 8, so we choose 10 (vs. melee which is 5)
    },
    ["blessedHammer"] = {
        id = 204019,
        name = HoJ:GetSpellName( 204019 ),
        rank = HoJ:GetSpellRank( 204019 ),
        icon = HoJ:GetSpellIcon( 204019 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 15,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS, -- this is a rough guess, but it appears to be about the same as Hammer of Justice
        talentRow = 1,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_PALADIN_PROTECTION }
    },
    ["forbearance"] = {
        id = 25771,
        name = HoJ:GetSpellName( 25771 ),
        rank = HoJ:GetSpellRank( 25771 ),
        icon = HoJ:GetSpellIcon( 25771 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 15,
        cooldownRemaining = 0,
        _priority = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    }
}

-- -------------------------------------------------------------
-- WARRIOR
-- -------------------------------------------------------------
HoJ._warriorSpellInfos = {
    ["globalCooldown"] = {
        id = 61304,
        name = HoJ:GetSpellName( 61304 ),
        rank = HoJ:GetSpellRank( 61304 ),
        icon = HoJ:GetSpellIcon( 61304 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_NONE
    },
    ["slam"] = {
        id = 1464,
        name = HoJ:GetSpellName( 1464 ),
        rank = HoJ:GetSpellRank( 1464 ),
        icon = HoJ:GetSpellIcon( 1464 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = -20,
        range = HoJ.RANGE_MELEE
    },
    ["colossusSmash"] = {
        id = 167105,
        name = HoJ:GetSpellName( 167105 ),
        rank = HoJ:GetSpellRank( 167105 ),
        icon = HoJ:GetSpellIcon( 167105 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE
    },
    ["colossusSmashBuff"] = { -- this is the buff the warrior gets after using colossus smash
        id = 167105,
        name = HoJ:GetSpellName( 167105 ),
        rank = HoJ:GetSpellRank( 167105 ),
        icon = HoJ:GetSpellIcon( 167105 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _duration = 15,
        _showStacks = true,
    },
    ["warbreakerDebuff"] = { -- this is the buff the target gets after the warrior uses warbreaker
        id = 208086,
        name = HoJ:GetSpellName( 208086 ),
        rank = HoJ:GetSpellRank( 208086 ),
        icon = HoJ:GetSpellIcon( 208086 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _duration = 15,
        _showStacks = true,
    },
    ["hamstring"] = {
        id = 1715,
        name = HoJ:GetSpellName( 1715 ),
        rank = HoJ:GetSpellRank( 1715 ),
        icon = HoJ:GetSpellIcon( 1715 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = -10,
        range = HoJ.RANGE_MELEE
    },
    ["victoryRush"] = {
        id = 34428,
        name = HoJ:GetSpellName( 34428 ),
        rank = HoJ:GetSpellRank( 34428 ),
        icon = HoJ:GetSpellIcon( 34428 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION },
    },
    ["execute"] = {
        id = 5308,
        name = HoJ:GetSpellName( 5308 ),
        rank = HoJ:GetSpellRank( 5308 ),
        icon = HoJ:GetSpellIcon( 5308 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 8,
        cooldownRemaining = 0,
        _powerGen = 8,
        range = HoJ.RANGE_MELEE
    },
    ["armsExecute"] = {
        id = 163201,
        name = HoJ:GetSpellName( 163201 ),
        rank = HoJ:GetSpellRank( 163201 ),
        icon = HoJ:GetSpellIcon( 163201 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 8,
        cooldownRemaining = 0,
        _powerGen = -40,
        range = HoJ.RANGE_MELEE
    },
    ["armsExecuteWithMassacre"] = {
        id = 281000,
        name = HoJ:GetSpellName( 281000 ),
        rank = HoJ:GetSpellRank( 281000 ),
        icon = HoJ:GetSpellIcon( 281000 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 8,
        cooldownRemaining = 0,
        _powerGen = -40,
        range = HoJ.RANGE_MELEE
    },
    ["mortalStrike"] = {
        id = 12294,
        name = HoJ:GetSpellName( 12294 ),
        rank = HoJ:GetSpellRank( 12294 ),
        icon = HoJ:GetSpellIcon( 12294 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = -30,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["sweepingStrikes"] = {
        id = 260708,
        name = HoJ:GetSpellName( 260708 ),
        rank = HoJ:GetSpellRank( 260708 ),
        icon = HoJ:GetSpellIcon( 260708 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _duration = 12.0
    },
    ["bloodthirst"] = {
        id = 23881,
        name = HoJ:GetSpellName( 23881 ),
        rank = HoJ:GetSpellRank( 23881 ),
        icon = HoJ:GetSpellIcon( 23881 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 8,
        range = HoJ.RANGE_MELEE
    },
    ["rampage"] = {
        id = 184367,
        name = HoJ:GetSpellName( 184367 ),
        rank = HoJ:GetSpellRank( 184367 ),
        icon = HoJ:GetSpellIcon( 184367 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 12,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["taunt"] = {
        id = 355,
        name = HoJ:GetSpellName( 355 ),
        rank = HoJ:GetSpellRank( 355 ),
        icon = HoJ:GetSpellIcon( 355 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 13,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["heroicThrow"] = {
        id = 57755,
        name = HoJ:GetSpellName( 57755 ),
        rank = HoJ:GetSpellRank( 57755 ),
        icon = HoJ:GetSpellIcon( 57755 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 17,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_30_YARDS
    },
    ["berserkerRage"] = {
        id = 18499,
        name = HoJ:GetSpellName( 18499 ),
        rank = HoJ:GetSpellRank( 18499 ),
        icon = HoJ:GetSpellIcon( 18499 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 14,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _priority = 1
    },
    ["enrage"] = {
        id = 184361,
        name = HoJ:GetSpellName( 184361 ),
        rank = HoJ:GetSpellRank( 184361 ),
        icon = HoJ:GetSpellIcon( 184361 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 14,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },
    ["furyEnrageBuff"] = {
        id = 184362,
        name = HoJ:GetSpellName( 184362 ),
        rank = HoJ:GetSpellRank( 184362 ),
        icon = HoJ:GetSpellIcon( 184362 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 14,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF
    },    
    ["ragingBlow"] = {
        id = 85288,
        name = HoJ:GetSpellName( 85288 ),
        rank = HoJ:GetSpellRank( 85288 ),
        icon = HoJ:GetSpellIcon( 85288 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _powerGen = 12,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["pummel"] = {
        id = 6552,
        name = HoJ:GetSpellName( 6552 ),
        rank = HoJ:GetSpellRank( 6552 ),
        icon = HoJ:GetSpellIcon( 6552 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 13,
        cooldownRemaining = 0,
        _priority = 800,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["whirlwind"] = {
        id = 190411,
        name = HoJ:GetSpellName( 190411 ),
        rank = HoJ:GetSpellRank( 190411 ),
        icon = HoJ:GetSpellIcon( 190411 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["armsWhirlwind"] = {
        id = 1680,
        name = HoJ:GetSpellName( 1680 ),
        rank = HoJ:GetSpellRank( 1680 ),
        icon = HoJ:GetSpellIcon( 1680 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = -30,
        range = HoJ.RANGE_8_YARDS,
        -- _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["whirlwindBuff"] = {
        id = 85739,
        name = HoJ:GetSpellName( 85739 ),
        rank = HoJ:GetSpellRank( 85739 ),
        icon = HoJ:GetSpellIcon( 85739 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        _showStacks = true,
    },
    ["charge"] = {
        id = 100,
        name = HoJ:GetSpellName( 100 ),
        rank = HoJ:GetSpellRank( 100 ),
        icon = HoJ:GetSpellIcon( 100 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 3,
        cooldownRemaining = 0,
        _powerGen = 20,
        range = HoJ.RANGE_25_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY }
    },
    ["heroicLeap"] = {
        id = 6544,
        name = HoJ:GetSpellName( 6544 ),
        rank = HoJ:GetSpellRank( 6544 ),
        icon = HoJ:GetSpellIcon( 6544 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 26,
        cooldownRemaining = 0,
        _priority = 700,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["intercept"] = {
        id = 198304,
        name = HoJ:GetSpellName( 198304 ),
        rank = HoJ:GetSpellRank( 198304 ),
        icon = HoJ:GetSpellIcon( 198304 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 28,
        cooldownRemaining = 0,
        _powerGen = 15,
        range = HoJ.RANGE_25_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["piercingHowl"] = {
        id = 12323,
        name = HoJ:GetSpellName( 12323 ),
        rank = HoJ:GetSpellRank( 12323 ),
        icon = HoJ:GetSpellIcon( 12323 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 28,
        cooldownRemaining = 0,
        _priority = 400,
        _powerGen = 15,
        range = HoJ.RANGE_15_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["enragedRegeneration"] = {
        id = 184364,
        name = HoJ:GetSpellName( 184364 ),
        rank = HoJ:GetSpellRank( 184364 ),
        icon = HoJ:GetSpellIcon( 184364 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _priority = 1000,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["battleShout"] = {
        id = 6673,
        name = HoJ:GetSpellName( 6673 ),
        rank = HoJ:GetSpellRank( 6673 ),
        icon = HoJ:GetSpellIcon( 6673 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 3600,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 42,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_100_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION },
        _priority = 50,
    },
    ["recklessness"] = { -- this is also the same ID for the buff
        id = 1719,
        name = HoJ:GetSpellName( 1719 ),
        rank = HoJ:GetSpellRank( 1719 ),
        icon = HoJ:GetSpellIcon( 1719 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 50,
        cooldownRemaining = 0,
        _priority = 2000,
        _powerGen = 100,
        range = HoJ.RANGE_SELF,
        _duration = 14
    },
    ["armsBladestorm"] = {
        id = 227847,
        name = HoJ:GetSpellName( 227847 ),
        rank = HoJ:GetSpellRank( 227847 ),
        icon = HoJ:GetSpellIcon( 227847 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["dieByTheSword"] = {
        id = 118038,
        name = HoJ:GetSpellName( 118038 ),
        rank = HoJ:GetSpellRank( 118038 ),
        icon = HoJ:GetSpellIcon( 118038 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 6,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _priority = 2500
    },
    ["overpower"] = {
        id = 7384,
        name = HoJ:GetSpellName( 7384 ),
        rank = HoJ:GetSpellRank( 7384 ),
        icon = HoJ:GetSpellIcon( 7384 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 6,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _showStacks = true,
    },
    -- talents
    ["armsSuddenDeath"] = {
        id = 29725,
        name = HoJ:GetSpellName( 29725 ),
        rank = HoJ:GetSpellRank( 29725 ),
        icon = HoJ:GetSpellIcon( 29725 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 15,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 1,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["armsSuddenDeathBuff"] = {
        id = 52437,
        name = HoJ:GetSpellName( 52437 ),
        rank = HoJ:GetSpellRank( 52437 ),
        icon = HoJ:GetSpellIcon( 52437 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
    },
    ["skullSplitter"] = {
        id = 260643,
        name = HoJ:GetSpellName( 260643 ),
        rank = HoJ:GetSpellRank( 260643 ),
        icon = HoJ:GetSpellIcon( 260643 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 15,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 1,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["impendingVictory"] = {
        id = 202168,
        name = HoJ:GetSpellName( 202168 ),
        rank = HoJ:GetSpellRank( 202168 ),
        icon = HoJ:GetSpellIcon( 202168 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _powerGen = -10,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["stormBolt"] = {
        id = 107570,
        name = HoJ:GetSpellName( 107570 ),
        rank = HoJ:GetSpellRank( 107570 ),
        icon = HoJ:GetSpellIcon( 107570 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 700,
        _powerGen = 0,
        range = HoJ.RANGE_20_YARDS,
        talentRow = 2,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["armsMassacre"] = {
        id = 281001,
        name = HoJ:GetSpellName( 281001 ),
        rank = HoJ:GetSpellRank( 281001 ),
        icon = HoJ:GetSpellIcon( 281001 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 1,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["fervorOfBattle"] = {
        id = 202316,
        name = HoJ:GetSpellName( 202316 ),
        rank = HoJ:GetSpellRank( 202316 ),
        icon = HoJ:GetSpellIcon( 202316 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 3,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["rend"] = {
        id = 772,
        name = HoJ:GetSpellName( 772 ),
        rank = HoJ:GetSpellRank( 772 ),
        icon = HoJ:GetSpellIcon( 772 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = -30,
        range = HoJ.RANGE_SELF,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["rendDebuff"] = {
        id = 772,
        name = HoJ:GetSpellName( 772 ),
        rank = HoJ:GetSpellRank( 772 ),
        icon = HoJ:GetSpellIcon( 772 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY },
        _duration = 15,
        _showStacks = true,
    },
    ["furySuddenDeath"] = {
        id = 280721,
        name = HoJ:GetSpellName( 280721 ),
        rank = HoJ:GetSpellRank( 280721 ),
        icon = HoJ:GetSpellIcon( 280721 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 3,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["furySuddenDeathBuff"] = {
        id = 280776,
        name = HoJ:GetSpellName( 280776 ),
        rank = HoJ:GetSpellRank( 280776 ),
        icon = HoJ:GetSpellIcon( 280776 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
    },
    ["furiousSlash"] = {
        id = 100130,
        name = HoJ:GetSpellName( 100130 ),
        rank = HoJ:GetSpellRank( 100130 ),
        icon = HoJ:GetSpellIcon( 100130 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY },
    },
    ["furiousSlashBuff"] = { -- this is the buff the warrior gets after using furious slash
        id = 202539,
        name = HoJ:GetSpellName( 202539 ),
        rank = HoJ:GetSpellRank( 202539 ),
        icon = HoJ:GetSpellIcon( 202539 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY },
        _duration = 15,
        _showStacks = true,
    },
    ["shockwave"] = {
        id = 46968,
        name = HoJ:GetSpellName( 46968 ),
        rank = HoJ:GetSpellRank( 46968 ),
        icon = HoJ:GetSpellIcon( 46968 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 50,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_10_YARDS
    },
    ["furyMassacre"] = {
        id = 206315,
        name = HoJ:GetSpellName( 206315 ),
        rank = HoJ:GetSpellRank( 206315 ),
        icon = HoJ:GetSpellIcon( 206315 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 75,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 5,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["intimidatingShout"] = {
        id = 5246,
        name = HoJ:GetSpellName( 5246 ),
        rank = HoJ:GetSpellRank( 5246 ),
        icon = HoJ:GetSpellIcon( 5246 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 70,
        cooldownRemaining = 0,
        _priority = 600,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["menace"] = {
        id = 275338,
        name = HoJ:GetSpellName( 275338 ),
        rank = HoJ:GetSpellRank( 275338 ),
        icon = HoJ:GetSpellIcon( 275338 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 75,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        talentRow = 5,
        talentCol = 1,
        _talentSpecs = { HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["warbreaker"] = {
        id = 262161,
        name = HoJ:GetSpellName( 262161 ),
        rank = HoJ:GetSpellRank( 262161 ),
        icon = HoJ:GetSpellIcon( 262161 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 75,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        talentRow = 5,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["avatar"] = {
        id = 107574,
        name = HoJ:GetSpellName( 107574 ),
        rank = HoJ:GetSpellRank( 107574 ),
        icon = HoJ:GetSpellIcon( 107574 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 90,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 6,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _priority = 1500,
        _duration = 20
    },
    ["deadlyCalm"] = {
        id = 262228,
        name = HoJ:GetSpellName( 262228 ),
        rank = HoJ:GetSpellRank( 262228 ),
        icon = HoJ:GetSpellIcon( 262228 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 90,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 6,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["ravager"] = {
        id = 152277,
        name = HoJ:GetSpellName( 152277 ),
        rank = HoJ:GetSpellRank( 152277 ),
        icon = HoJ:GetSpellIcon( 152277 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 90,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_8_YARDS,
        talentRow = 7,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS }
    },
    ["siegebreaker"] = {
        id = 280772,
        name = HoJ:GetSpellName( 280772 ),
        rank = HoJ:GetSpellRank( 280772 ),
        icon = HoJ:GetSpellIcon( 280772 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _powerGen = 10,
        range = HoJ.RANGE_MELEE,
        talentRow = 7,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["bladestorm"] = {
        id = 46924,
        name = HoJ:GetSpellName( 46924 ),
        rank = HoJ:GetSpellRank( 46924 ),
        icon = HoJ:GetSpellIcon( 46924 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 90,
        cooldownRemaining = 0,
        _powerGen = 25,
        range = HoJ.RANGE_8_YARDS,
        talentRow = 6,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    ["dragonRoar"] = {
        id = 118000,
        name = HoJ:GetSpellName( 118000 ),
        rank = HoJ:GetSpellRank( 118000 ),
        icon = HoJ:GetSpellIcon( 118000 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 90,
        cooldownRemaining = 0,
        _priority = 500,
        _powerGen = 25,
        range = HoJ.RANGE_12_YARDS,
        talentRow = 6,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_WARRIOR_FURY }
    },
    -- buffs
    ["rallyingCry"] = {
        id = 97462,
        name = HoJ:GetSpellName( 97462 ),
        rank = HoJ:GetSpellRank( 97462 ),
        icon = HoJ:GetSpellIcon( 97462 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 600,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _priority = 800,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    ["victorious"] = {
        id = 32216,
        name = HoJ:GetSpellName( 32216 ),
        rank = HoJ:GetSpellRank( 32216 ),
        icon = HoJ:GetSpellIcon( 32216 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 20000,
        isProcd = true,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _priority = 1000,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    -- racials
    ["stoneform"] = {
        id = 20594,
        name = HoJ:GetSpellName( 20594 ),
        rank = HoJ:GetSpellRank( 20594 ),
        icon = HoJ:GetSpellIcon( 20594 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        buffDurationSeconds = 600,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_40_YARDS,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS, HoJ.SPEC_WARRIOR_FURY, HoJ.SPEC_WARRIOR_PROTECTION }
    },
    -- arms
    ["mortalWoundsDebuff"] = {
        id = 115804,
        name = HoJ:GetSpellName( 115804 ),
        rank = HoJ:GetSpellRank( 115804 ),
        icon = HoJ:GetSpellIcon( 115804 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _duration = 10,
        _showStacks = true,
    },
    ["deepWoundsDebuff"] = {
        id = 262115,
        name = HoJ:GetSpellName( 262115 ),
        rank = HoJ:GetSpellRank( 262115 ),
        icon = HoJ:GetSpellIcon( 262115 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = true,
        text = nil,
        minLevel = 30,
        cooldownRemaining = 0,
        _priority = 900,
        _powerGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_WARRIOR_ARMS },
        _duration = 10,
        _showStacks = true,
    },
}
